# TdApi.MessageVoiceNote (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: MessageVoiceNote

Package it.tdlight.jni

# Class TdApi.MessageVoiceNote

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageVoiceNote

Enclosing class:
  TdApi

    public static class TdApi.MessageVoiceNote
    extends TdApi.MessageContent

A voice note message.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.FormattedText` | `caption` | Voice note caption.
`static int` | `CONSTRUCTOR` |
`boolean` | `isListened` | True, if at least one of the recipients has listened to the voice note.
`TdApi.VoiceNote` | `voiceNote` | The voice note description.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessageVoiceNote()` | A voice note message.
`MessageVoiceNote​(TdApi.VoiceNote voiceNote, TdApi.FormattedText caption, boolean isListened)` | A voice note message.
`MessageVoiceNote​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### voiceNote

public TdApi.VoiceNote voiceNote
The voice note description.

### caption

public TdApi.FormattedText caption
Voice note caption.

### isListened

public boolean isListened
True, if at least one of the recipients has listened to the voice note.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### MessageVoiceNote

public MessageVoiceNote()
A voice note message.

### MessageVoiceNote

public MessageVoiceNote​(TdApi.VoiceNote voiceNote, TdApi.FormattedText caption, boolean isListened)
A voice note message.

Parameters:
  `voiceNote` - VoiceNote The voice note description.
  `caption` - FormattedText Voice note caption.
  `isListened` - boolean True, if at least one of the recipients has listened to the voice note.

### MessageVoiceNote

public MessageVoiceNote​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`